{ pkgs }:
pkgs.stdenvNoCC.mkDerivation rec {
  name = "zig";
  version = "0.6.0+91a1c20e7";
  src = builtins.fetchTarball
    "https://ziglang.org/builds/zig-linux-x86_64-${version}.tar.xz";
  dontConfigure = true;
  dontBuild = true;
  installPhase = ''
    mkdir -p $out $out/bin $out/doc
    mv lib/ $out/
    mv zig $out/bin
    mv langref.html $out/doc
  '';
}
